Compare commits
5 commits
875c208237
...
8a046dca9e
Author | SHA1 | Date | |
---|---|---|---|
Alarig Le Lay | 8a046dca9e | ||
Alarig Le Lay | cbbaa54c71 | ||
Alarig Le Lay | d902bbe190 | ||
Alarig Le Lay | 1b1c968678 | ||
Alarig Le Lay | efab76d93d |
|
@ -1 +1,2 @@
|
|||
DIST django-mptt-0.13.4.gh.tar.gz 303688 BLAKE2B 66ae7a0e15a7ff281af2154f216970a6a9b249a713b3ae987f0fbdb60b95129fdfc96c05924c0285da33f11c59baf6e069830c3079c64164d838d9d34231a4a9 SHA512 86786763db060227b41e2e340df5d52062fb6e8c54f832611bc90d01102411d45dc217e8d84eece84ebbe4fc9727d06e7c368ae15c253aaf02117705dbae8c47
|
||||
DIST django-mptt-0.14.gh.tar.gz 307340 BLAKE2B c503c0cba376b90adb8697fde3b1274d986e9dfd63184e06af8243a6a167d43c068132a2d84a2b3a74f4027d906e3f6ab7e4413b39cd4fc584d78bc934ba7333 SHA512 b52bf34f6a34f2811155917d9fe66bfa5aa645e8be9bc8f9930a0dc5a6fdfb99b14b0a9adac378a895393683732997f0db491bc2857b22207fe3a0a386232ce7
|
||||
|
|
27
dev-python/django-mptt/django-mptt-0.14.ebuild
Normal file
27
dev-python/django-mptt/django-mptt-0.14.ebuild
Normal file
|
@ -0,0 +1,27 @@
|
|||
# Copyright 1999-2023 Gentoo Authors
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
|
||||
EAPI=8
|
||||
|
||||
PYTHON_COMPAT=( python3_{10..12} )
|
||||
inherit distutils-r1
|
||||
|
||||
DESCRIPTION="utilities for modified preorder tree traversal and trees of model instances"
|
||||
HOMEPAGE="https://github.com/django-mptt/django-mptt"
|
||||
SRC_URI="
|
||||
https://github.com/django-mptt/django-mptt/archive/${PV}.tar.gz
|
||||
-> ${P}.gh.tar.gz"
|
||||
|
||||
LICENSE="MIT"
|
||||
SLOT="0"
|
||||
KEYWORDS="~amd64"
|
||||
|
||||
RDEPEND="
|
||||
>=dev-python/django-2.2[${PYTHON_USEDEP}]
|
||||
dev-python/django-js-asset[${PYTHON_USEDEP}]
|
||||
"
|
||||
|
||||
python_test() {
|
||||
"${EPYTHON}" tests/manage.py test -v2 myapp ||
|
||||
die "Tests failed with ${EPYTHON}"
|
||||
}
|
|
@ -1 +1,2 @@
|
|||
DIST django-rq-2.5.1.tar.gz 119721 BLAKE2B a3b62cb6be051ddeb4f97aceee47a7637a3be77f139380c33e1ba2a04585a420c150234317cdeef577f9b0cccefe37aa4f7d9c5ffb141dff00bb13a1580541a1 SHA512 c050752f078b6bad535b58a50594536e55c0d62a88539b58d474532083841e9acd1883a260a1329850e124d380d2b19ef342d929c9a24349321d6f78836b40b4
|
||||
DIST django-rq-2.6.0.tar.gz 120064 BLAKE2B 7309a712d178129f0cedd5a677f62d3e3a583ec4f39c19f0bc18386645396a74c1e7bc037defa71a38f8a3c9ed363d7bb1e070ff98db8549fdeb33e22adc0132 SHA512 9d596590ca8a690575fdb3c5b5f3a927e477fc87654e0b971575e88c83ca5d9f9150517194db81eb4caac862debf33d7c6a9694feda27af8cbd25cda296191f9
|
||||
|
|
23
dev-python/django-rq/django-rq-2.6.0.ebuild
Normal file
23
dev-python/django-rq/django-rq-2.6.0.ebuild
Normal file
|
@ -0,0 +1,23 @@
|
|||
# Copyright 2023 Gentoo Authors
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
|
||||
EAPI=8
|
||||
|
||||
DISTUTILS_USE_PEP517=setuptools
|
||||
PYTHON_COMPAT=( python3_{11..12} )
|
||||
inherit distutils-r1
|
||||
|
||||
DESCRIPTION="A simple app that provides django integration for RQ (Redis Queue)"
|
||||
HOMEPAGE="https://github.com/rq/django-rq/"
|
||||
SRC_URI="https://github.com/rq/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
|
||||
|
||||
LICENSE="MIT"
|
||||
SLOT="0"
|
||||
KEYWORDS="~amd64"
|
||||
|
||||
DEPEND="
|
||||
>=dev-python/django-2.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/rq-1.2[${PYTHON_USEDEP}]
|
||||
>=dev-python/redis-3[${PYTHON_USEDEP}]
|
||||
"
|
||||
RDEPEND="${DEPEND}"
|
|
@ -1,2 +1,3 @@
|
|||
DIST drf-yasg-1.20.0.tar.gz 1794141 BLAKE2B 4719a437a40e477f75e5bec3c1020b6ee34cfa726a1d6c5560b6e4ab54f95606079293c78bca981d6c482c3fdc0cd287e4bb685d3fe2ebdbdf74f69b671e1211 SHA512 ad16d90b4640cd419cdc9698bdf898161d49b6910b23920237cf77c52baa8e3e7ac21193c6e03cc3dec7f9e4d1651a1fe070d6680c5c4c5df44bdd103ddb32c3
|
||||
DIST drf-yasg-1.21.3.tar.gz 6720635 BLAKE2B 0c5cf300d077fadc9eceb158a6a6fbd164b6266e78055edd3c3ae2a17fee2bb89286f9321eac8d0862a84e475c2b148f7f434f620295466cb70da6bb54c8470c SHA512 89b311b01ef6afb9894153edee70b140d02d511c5fa488927a8763434e2752ea167483dbde1b971b1a6bfdb6df3a10bab923f79b502acb884971895a1f0d80f1
|
||||
DIST drf-yasg-1.21.4.tar.gz 6721110 BLAKE2B 44c6faeccbfa419d239f3d8ca8052cf35cb1534b46c201e309277e7bdb01c49f5a8ffa989b9aab10bc09310608cd41fb7b4f1dc66ebaee9aa98ac03c3f864290 SHA512 f8fab7a1c38474bb77adb9bcd3f931ecf856bfd4f5141eaf5c2177b0a8a4ea570909b14d32966940d3b99ea17c33904fd947a7e8b4e7d39a8a3644eb4c388e78
|
||||
|
|
35
dev-python/drf-yasg/drf-yasg-1.21.4.ebuild
Normal file
35
dev-python/drf-yasg/drf-yasg-1.21.4.ebuild
Normal file
|
@ -0,0 +1,35 @@
|
|||
# Copyright 2023 Gentoo Authors
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
|
||||
EAPI=8
|
||||
|
||||
DISTUTILS_USE_PEP517=setuptools
|
||||
PYTHON_COMPAT=( python3_{10..12} )
|
||||
inherit distutils-r1
|
||||
|
||||
DESCRIPTION="Automated generation of real Swagger schemas from Django code"
|
||||
HOMEPAGE="
|
||||
https://pypi.org/project/drf-yasg/
|
||||
https://github.com/axnsan12/drf-yasg/
|
||||
"
|
||||
SRC_URI="https://github.com/axnsan12/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
|
||||
|
||||
LICENSE="BSD"
|
||||
SLOT="0"
|
||||
KEYWORDS="~amd64"
|
||||
IUSE="validation"
|
||||
|
||||
RDEPEND="
|
||||
>=dev-python/coreapi-2.3.3[${PYTHON_USEDEP}]
|
||||
>=dev-python/coreschema-0.0.4[${PYTHON_USEDEP}]
|
||||
>=dev-python/djangorestframework-3.10.3[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-2.2.16[${PYTHON_USEDEP}]
|
||||
>=dev-python/ruamel-yaml-0.16.13[${PYTHON_USEDEP}]
|
||||
>=dev-python/inflection-0.3.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/packaging-21.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/pytz-2021.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
|
||||
validation? (
|
||||
>=dev-python/swagger-spec-validator-2.1.0[${PYTHON_USEDEP}]
|
||||
)
|
||||
"
|
15
metadata/md5-cache/dev-python/django-mptt-0.14
Normal file
15
metadata/md5-cache/dev-python/django-mptt-0.14
Normal file
|
@ -0,0 +1,15 @@
|
|||
BDEPEND=python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_11? ( dev-lang/python:3.11 ) python_targets_python3_12? ( dev-lang/python:3.12 ) >=dev-python/setuptools-69.0.3[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?]
|
||||
DEFINED_PHASES=compile configure install prepare test
|
||||
DESCRIPTION=utilities for modified preorder tree traversal and trees of model instances
|
||||
EAPI=8
|
||||
HOMEPAGE=https://github.com/django-mptt/django-mptt
|
||||
INHERIT=distutils-r1
|
||||
IUSE=python_targets_python3_10 python_targets_python3_11 python_targets_python3_12
|
||||
KEYWORDS=~amd64
|
||||
LICENSE=MIT
|
||||
RDEPEND=>=dev-python/django-2.2[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] dev-python/django-js-asset[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_11? ( dev-lang/python:3.11 ) python_targets_python3_12? ( dev-lang/python:3.12 )
|
||||
REQUIRED_USE=|| ( python_targets_python3_10 python_targets_python3_11 python_targets_python3_12 )
|
||||
SLOT=0
|
||||
SRC_URI=https://github.com/django-mptt/django-mptt/archive/0.14.tar.gz -> django-mptt-0.14.gh.tar.gz
|
||||
_eclasses_=toolchain-funcs e56c7649b804f051623c8bc1a1c44084 multilib c19072c3cd7ac5cb21de013f7e9832e0 flag-o-matic e503ea5acc20410237ba33ec3f7c857d out-of-source-utils 1a9007554652a6e627edbccb3c25a439 multibuild d67e78a235f541871c7dfe4cf7931489 multiprocessing 30ead54fa2e2b5f9cd4e612ffc34d0fe ninja-utils 2df4e452cea39a9ec8fb543ce059f8d6 python-utils-r1 8b220bbce5c119fb1d4d5c2f5588f3ea python-r1 428f5c53276c2adc06a89108fc2f9f46 distutils-r1 ac3ce68c875c9b392338dcd64f7feb73
|
||||
_md5_=37c1c9cbc6edcb800cae30d15efb5a41
|
16
metadata/md5-cache/dev-python/django-rq-2.6.0
Normal file
16
metadata/md5-cache/dev-python/django-rq-2.6.0
Normal file
|
@ -0,0 +1,16 @@
|
|||
BDEPEND=python_targets_python3_11? ( dev-lang/python:3.11 ) python_targets_python3_12? ( dev-lang/python:3.12 ) >=dev-python/gpep517-15[python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/setuptools-69.0.3[python_targets_python3_11(-)?,python_targets_python3_12(-)?]
|
||||
DEFINED_PHASES=compile configure install prepare test
|
||||
DEPEND=>=dev-python/django-2.0[python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/rq-1.2[python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/redis-3[python_targets_python3_11(-)?,python_targets_python3_12(-)?]
|
||||
DESCRIPTION=A simple app that provides django integration for RQ (Redis Queue)
|
||||
EAPI=8
|
||||
HOMEPAGE=https://github.com/rq/django-rq/
|
||||
INHERIT=distutils-r1
|
||||
IUSE=python_targets_python3_11 python_targets_python3_12
|
||||
KEYWORDS=~amd64
|
||||
LICENSE=MIT
|
||||
RDEPEND=>=dev-python/django-2.0[python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/rq-1.2[python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/redis-3[python_targets_python3_11(-)?,python_targets_python3_12(-)?] python_targets_python3_11? ( dev-lang/python:3.11 ) python_targets_python3_12? ( dev-lang/python:3.12 )
|
||||
REQUIRED_USE=|| ( python_targets_python3_11 python_targets_python3_12 )
|
||||
SLOT=0
|
||||
SRC_URI=https://github.com/rq/django-rq/archive/refs/tags/v2.6.0.tar.gz -> django-rq-2.6.0.tar.gz
|
||||
_eclasses_=toolchain-funcs e56c7649b804f051623c8bc1a1c44084 multilib c19072c3cd7ac5cb21de013f7e9832e0 flag-o-matic e503ea5acc20410237ba33ec3f7c857d out-of-source-utils 1a9007554652a6e627edbccb3c25a439 multibuild d67e78a235f541871c7dfe4cf7931489 multiprocessing 30ead54fa2e2b5f9cd4e612ffc34d0fe ninja-utils 2df4e452cea39a9ec8fb543ce059f8d6 python-utils-r1 8b220bbce5c119fb1d4d5c2f5588f3ea python-r1 428f5c53276c2adc06a89108fc2f9f46 distutils-r1 ac3ce68c875c9b392338dcd64f7feb73
|
||||
_md5_=ad343e5743d76ac56bce7e91e3af9890
|
15
metadata/md5-cache/dev-python/drf-yasg-1.21.4
Normal file
15
metadata/md5-cache/dev-python/drf-yasg-1.21.4
Normal file
|
@ -0,0 +1,15 @@
|
|||
BDEPEND=python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_11? ( dev-lang/python:3.11 ) python_targets_python3_12? ( dev-lang/python:3.12 ) >=dev-python/gpep517-15[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/setuptools-69.0.3[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?]
|
||||
DEFINED_PHASES=compile configure install prepare test
|
||||
DESCRIPTION=Automated generation of real Swagger schemas from Django code
|
||||
EAPI=8
|
||||
HOMEPAGE=https://pypi.org/project/drf-yasg/ https://github.com/axnsan12/drf-yasg/
|
||||
INHERIT=distutils-r1
|
||||
IUSE=validation python_targets_python3_10 python_targets_python3_11 python_targets_python3_12
|
||||
KEYWORDS=~amd64
|
||||
LICENSE=BSD
|
||||
RDEPEND=>=dev-python/coreapi-2.3.3[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/coreschema-0.0.4[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/djangorestframework-3.10.3[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/django-2.2.16[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/ruamel-yaml-0.16.13[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/inflection-0.3.1[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/packaging-21.0[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/pytz-2021.1[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] >=dev-python/uritemplate-3.0.0[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] validation? ( >=dev-python/swagger-spec-validator-2.1.0[python_targets_python3_10(-)?,python_targets_python3_11(-)?,python_targets_python3_12(-)?] ) python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_11? ( dev-lang/python:3.11 ) python_targets_python3_12? ( dev-lang/python:3.12 )
|
||||
REQUIRED_USE=|| ( python_targets_python3_10 python_targets_python3_11 python_targets_python3_12 )
|
||||
SLOT=0
|
||||
SRC_URI=https://github.com/axnsan12/drf-yasg/archive/refs/tags/1.21.4.tar.gz -> drf-yasg-1.21.4.tar.gz
|
||||
_eclasses_=toolchain-funcs e56c7649b804f051623c8bc1a1c44084 multilib c19072c3cd7ac5cb21de013f7e9832e0 flag-o-matic e503ea5acc20410237ba33ec3f7c857d out-of-source-utils 1a9007554652a6e627edbccb3c25a439 multibuild d67e78a235f541871c7dfe4cf7931489 multiprocessing 30ead54fa2e2b5f9cd4e612ffc34d0fe ninja-utils 2df4e452cea39a9ec8fb543ce059f8d6 python-utils-r1 8b220bbce5c119fb1d4d5c2f5588f3ea python-r1 428f5c53276c2adc06a89108fc2f9f46 distutils-r1 ac3ce68c875c9b392338dcd64f7feb73
|
||||
_md5_=84cfe8f03f424a9e0fefd5badf149f11
|
15
metadata/md5-cache/www-apps/netbox-3.3.9
Normal file
15
metadata/md5-cache/www-apps/netbox-3.3.9
Normal file
|
@ -0,0 +1,15 @@
|
|||
DEFINED_PHASES=install postinst setup
|
||||
DEPEND=acct-group/netbox acct-user/netbox python_single_target_python3_11? ( dev-lang/python:3.11 ) python_single_target_python3_12? ( dev-lang/python:3.12 ) python_single_target_python3_11? ( >=dev-python/bleach-5.0.1[python_targets_python3_11(-)] >=dev-python/django-4.0.8[python_targets_python3_11(-)] <dev-python/django-4.1[python_targets_python3_11(-)] >=dev-python/django-cors-headers-3.13.0[python_targets_python3_11(-)] >=dev-python/django-debug-toolbar-3.7.0[python_targets_python3_11(-)] >=dev-python/django-filter-22.1[python_targets_python3_11(-)] >=dev-python/django-graphiql-debug-toolbar-0.2.0[python_targets_python3_11(-)] >=dev-python/django-mptt-0.14[python_targets_python3_11(-)] >=dev-python/django-pglocks-1.0.4[python_targets_python3_11(-)] >=dev-python/django-prometheus-2.2.0[python_targets_python3_11(-)] >=dev-python/django-redis-5.2.0[python_targets_python3_11(-)] >=dev-python/django-rq-2.6.0[python_targets_python3_11(-)] >=dev-python/django-tables2-2.4.1[python_targets_python3_11(-)] >=dev-python/django-taggit-3.1.0[python_targets_python3_11(-)] >=dev-python/django-timezone-field-5.0[python_targets_python3_11(-)] >=dev-python/djangorestframework-3.14.0[python_targets_python3_11(-)] >=dev-python/drf-yasg-1.21.4[python_targets_python3_11(-),validation] >=dev-python/graphene-django-2.15.0[python_targets_python3_11(-)] >=www-servers/gunicorn-20.1.0[python_targets_python3_11(-)] >=dev-python/jinja-3.1.2[python_targets_python3_11(-)] >=dev-python/markdown-3.3.7[python_targets_python3_11(-)] >=dev-python/mkdocs-material-8.5.11[python_targets_python3_11(-)] dev-python/mkdocstrings-python[python_targets_python3_11(-)] >=dev-python/netaddr-0.8.0[python_targets_python3_11(-)] >=dev-python/pillow-9.3.0[python_targets_python3_11(-)] dev-python/psycopg:2[python_targets_python3_11(-)] >=dev-python/pyyaml-6.0[python_targets_python3_11(-)] >=dev-python/sentry-sdk-1.11.1[python_targets_python3_11(-)] >=dev-python/social-auth-app-django-5.0.0[python_targets_python3_11(-)] >=dev-python/social-auth-core-4.3.0[python_targets_python3_11(-)] >=dev-python/svgwrite-1.4.3[python_targets_python3_11(-)] >=dev-python/tablib-3.2.1[python_targets_python3_11(-)] >=dev-python/tzdata-2022.7[python_targets_python3_11(-)] >=dev-python/jsonschema-3.2.0[python_targets_python3_11(-)] ldap? ( >=dev-python/django-auth-ldap-4.1.0[python_targets_python3_11(-)] ) ) python_single_target_python3_12? ( >=dev-python/bleach-5.0.1[python_targets_python3_12(-)] >=dev-python/django-4.0.8[python_targets_python3_12(-)] <dev-python/django-4.1[python_targets_python3_12(-)] >=dev-python/django-cors-headers-3.13.0[python_targets_python3_12(-)] >=dev-python/django-debug-toolbar-3.7.0[python_targets_python3_12(-)] >=dev-python/django-filter-22.1[python_targets_python3_12(-)] >=dev-python/django-graphiql-debug-toolbar-0.2.0[python_targets_python3_12(-)] >=dev-python/django-mptt-0.14[python_targets_python3_12(-)] >=dev-python/django-pglocks-1.0.4[python_targets_python3_12(-)] >=dev-python/django-prometheus-2.2.0[python_targets_python3_12(-)] >=dev-python/django-redis-5.2.0[python_targets_python3_12(-)] >=dev-python/django-rq-2.6.0[python_targets_python3_12(-)] >=dev-python/django-tables2-2.4.1[python_targets_python3_12(-)] >=dev-python/django-taggit-3.1.0[python_targets_python3_12(-)] >=dev-python/django-timezone-field-5.0[python_targets_python3_12(-)] >=dev-python/djangorestframework-3.14.0[python_targets_python3_12(-)] >=dev-python/drf-yasg-1.21.4[python_targets_python3_12(-),validation] >=dev-python/graphene-django-2.15.0[python_targets_python3_12(-)] >=www-servers/gunicorn-20.1.0[python_targets_python3_12(-)] >=dev-python/jinja-3.1.2[python_targets_python3_12(-)] >=dev-python/markdown-3.3.7[python_targets_python3_12(-)] >=dev-python/mkdocs-material-8.5.11[python_targets_python3_12(-)] dev-python/mkdocstrings-python[python_targets_python3_12(-)] >=dev-python/netaddr-0.8.0[python_targets_python3_12(-)] >=dev-python/pillow-9.3.0[python_targets_python3_12(-)] dev-python/psycopg:2[python_targets_python3_12(-)] >=dev-python/pyyaml-6.0[python_targets_python3_12(-)] >=dev-python/sentry-sdk-1.11.1[python_targets_python3_12(-)] >=dev-python/social-auth-app-django-5.0.0[python_targets_python3_12(-)] >=dev-python/social-auth-core-4.3.0[python_targets_python3_12(-)] >=dev-python/svgwrite-1.4.3[python_targets_python3_12(-)] >=dev-python/tablib-3.2.1[python_targets_python3_12(-)] >=dev-python/tzdata-2022.7[python_targets_python3_12(-)] >=dev-python/jsonschema-3.2.0[python_targets_python3_12(-)] ldap? ( >=dev-python/django-auth-ldap-4.1.0[python_targets_python3_12(-)] ) )
|
||||
DESCRIPTION=IP address and data center infrastructure management tool
|
||||
EAPI=8
|
||||
HOMEPAGE=https://github.com/netbox-community/netbox
|
||||
INHERIT=python-single-r1 readme.gentoo-r1
|
||||
IUSE=ldap python_single_target_python3_11 python_single_target_python3_12
|
||||
KEYWORDS=~amd64
|
||||
LICENSE=Apache-2.0
|
||||
RDEPEND=acct-group/netbox acct-user/netbox python_single_target_python3_11? ( dev-lang/python:3.11 ) python_single_target_python3_12? ( dev-lang/python:3.12 ) python_single_target_python3_11? ( >=dev-python/bleach-5.0.1[python_targets_python3_11(-)] >=dev-python/django-4.0.8[python_targets_python3_11(-)] <dev-python/django-4.1[python_targets_python3_11(-)] >=dev-python/django-cors-headers-3.13.0[python_targets_python3_11(-)] >=dev-python/django-debug-toolbar-3.7.0[python_targets_python3_11(-)] >=dev-python/django-filter-22.1[python_targets_python3_11(-)] >=dev-python/django-graphiql-debug-toolbar-0.2.0[python_targets_python3_11(-)] >=dev-python/django-mptt-0.14[python_targets_python3_11(-)] >=dev-python/django-pglocks-1.0.4[python_targets_python3_11(-)] >=dev-python/django-prometheus-2.2.0[python_targets_python3_11(-)] >=dev-python/django-redis-5.2.0[python_targets_python3_11(-)] >=dev-python/django-rq-2.6.0[python_targets_python3_11(-)] >=dev-python/django-tables2-2.4.1[python_targets_python3_11(-)] >=dev-python/django-taggit-3.1.0[python_targets_python3_11(-)] >=dev-python/django-timezone-field-5.0[python_targets_python3_11(-)] >=dev-python/djangorestframework-3.14.0[python_targets_python3_11(-)] >=dev-python/drf-yasg-1.21.4[python_targets_python3_11(-),validation] >=dev-python/graphene-django-2.15.0[python_targets_python3_11(-)] >=www-servers/gunicorn-20.1.0[python_targets_python3_11(-)] >=dev-python/jinja-3.1.2[python_targets_python3_11(-)] >=dev-python/markdown-3.3.7[python_targets_python3_11(-)] >=dev-python/mkdocs-material-8.5.11[python_targets_python3_11(-)] dev-python/mkdocstrings-python[python_targets_python3_11(-)] >=dev-python/netaddr-0.8.0[python_targets_python3_11(-)] >=dev-python/pillow-9.3.0[python_targets_python3_11(-)] dev-python/psycopg:2[python_targets_python3_11(-)] >=dev-python/pyyaml-6.0[python_targets_python3_11(-)] >=dev-python/sentry-sdk-1.11.1[python_targets_python3_11(-)] >=dev-python/social-auth-app-django-5.0.0[python_targets_python3_11(-)] >=dev-python/social-auth-core-4.3.0[python_targets_python3_11(-)] >=dev-python/svgwrite-1.4.3[python_targets_python3_11(-)] >=dev-python/tablib-3.2.1[python_targets_python3_11(-)] >=dev-python/tzdata-2022.7[python_targets_python3_11(-)] >=dev-python/jsonschema-3.2.0[python_targets_python3_11(-)] ldap? ( >=dev-python/django-auth-ldap-4.1.0[python_targets_python3_11(-)] ) ) python_single_target_python3_12? ( >=dev-python/bleach-5.0.1[python_targets_python3_12(-)] >=dev-python/django-4.0.8[python_targets_python3_12(-)] <dev-python/django-4.1[python_targets_python3_12(-)] >=dev-python/django-cors-headers-3.13.0[python_targets_python3_12(-)] >=dev-python/django-debug-toolbar-3.7.0[python_targets_python3_12(-)] >=dev-python/django-filter-22.1[python_targets_python3_12(-)] >=dev-python/django-graphiql-debug-toolbar-0.2.0[python_targets_python3_12(-)] >=dev-python/django-mptt-0.14[python_targets_python3_12(-)] >=dev-python/django-pglocks-1.0.4[python_targets_python3_12(-)] >=dev-python/django-prometheus-2.2.0[python_targets_python3_12(-)] >=dev-python/django-redis-5.2.0[python_targets_python3_12(-)] >=dev-python/django-rq-2.6.0[python_targets_python3_12(-)] >=dev-python/django-tables2-2.4.1[python_targets_python3_12(-)] >=dev-python/django-taggit-3.1.0[python_targets_python3_12(-)] >=dev-python/django-timezone-field-5.0[python_targets_python3_12(-)] >=dev-python/djangorestframework-3.14.0[python_targets_python3_12(-)] >=dev-python/drf-yasg-1.21.4[python_targets_python3_12(-),validation] >=dev-python/graphene-django-2.15.0[python_targets_python3_12(-)] >=www-servers/gunicorn-20.1.0[python_targets_python3_12(-)] >=dev-python/jinja-3.1.2[python_targets_python3_12(-)] >=dev-python/markdown-3.3.7[python_targets_python3_12(-)] >=dev-python/mkdocs-material-8.5.11[python_targets_python3_12(-)] dev-python/mkdocstrings-python[python_targets_python3_12(-)] >=dev-python/netaddr-0.8.0[python_targets_python3_12(-)] >=dev-python/pillow-9.3.0[python_targets_python3_12(-)] dev-python/psycopg:2[python_targets_python3_12(-)] >=dev-python/pyyaml-6.0[python_targets_python3_12(-)] >=dev-python/sentry-sdk-1.11.1[python_targets_python3_12(-)] >=dev-python/social-auth-app-django-5.0.0[python_targets_python3_12(-)] >=dev-python/social-auth-core-4.3.0[python_targets_python3_12(-)] >=dev-python/svgwrite-1.4.3[python_targets_python3_12(-)] >=dev-python/tablib-3.2.1[python_targets_python3_12(-)] >=dev-python/tzdata-2022.7[python_targets_python3_12(-)] >=dev-python/jsonschema-3.2.0[python_targets_python3_12(-)] ldap? ( >=dev-python/django-auth-ldap-4.1.0[python_targets_python3_12(-)] ) )
|
||||
REQUIRED_USE=^^ ( python_single_target_python3_11 python_single_target_python3_12 )
|
||||
SLOT=0
|
||||
SRC_URI=https://github.com/netbox-community/netbox/archive/v3.3.9.tar.gz -> netbox-3.3.9.tar.gz
|
||||
_eclasses_=multiprocessing 30ead54fa2e2b5f9cd4e612ffc34d0fe toolchain-funcs e56c7649b804f051623c8bc1a1c44084 multilib c19072c3cd7ac5cb21de013f7e9832e0 python-utils-r1 8b220bbce5c119fb1d4d5c2f5588f3ea python-single-r1 75118e916668a74c660a13b0ecb22562 readme.gentoo-r1 b8c7a61664027641d79dcfc04bd366f4
|
||||
_md5_=31531c12800afca3fa0991718a827d5f
|
|
@ -1,3 +1,4 @@
|
|||
DIST netbox-3.0.12.tar.gz 4498000 BLAKE2B 3ae2865417eac202fba2066ad28cacb000efc845df14e534e87841f398ca4a063c34cfb82eee383d56043576ba5a44e7e419c57d5407247f03ffe8a6eb41ea14 SHA512 92ffbae37f718ef5609954d551e3432a33f9a3712047666ae75ad6fd71eed2028de2c6a24bb94fdfbd233caa9f644f89e0e9b59ddd416798431454a4fe0db9e7
|
||||
DIST netbox-3.1.11.tar.gz 4408997 BLAKE2B 2cb3b13d1ba0345c90bd7657a6cd16ebae1386a5749e9b60e7f91604f992af6c53c6755f02c42079033312fea1a8d3b91eb023be05ec722bfb94408e59a60568 SHA512 c921fe373b4cf127cadab7b36d5cee1a0c78dd5d648dbb4c09e5de0351a560411abc57f7958eb9b3dec720b48022ecce1de9b0fa70174caaf442b02bda785ede
|
||||
DIST netbox-3.2.9.tar.gz 4837923 BLAKE2B 396789648aa529682600de22d90f4639f4fbee2cf42dc9a72f63f1f3dbd8af9a0a27a320cbe66d90294f98b5831f0a7233566eebce7eea19549e7b89b11d5fd6 SHA512 e221a82e7d119e8f03f3d5364551c7a0634cb5f0db4f2bfad79109fbec2955de36a5323bbb7d846f762d30a12bd70f4206485fd9d703ad3573e33cbd2dbca286
|
||||
DIST netbox-3.3.9.tar.gz 7315280 BLAKE2B f3b8ec5ca83e98138f6ccd140af2f59776020e8f1e438a92fab2523700a7b6e2f712472874cd368c586c94975c1120e4431b0b3cafc360a455975960adaa4eff SHA512 2bb1868bbf86a7538bb4bfc6256f094360a4779c9e5dafaf1d9fb925c116a59a3f244d5b0b62f2df9b1d7e7b9608cc1498067fab639e29e0486e469e2e285cf8
|
||||
|
|
86
www-apps/netbox/files/netbox-3.3.9-no-pip.patch
Normal file
86
www-apps/netbox/files/netbox-3.3.9-no-pip.patch
Normal file
|
@ -0,0 +1,86 @@
|
|||
--- netbox-3.3.9/upgrade.sh 2024-08-22 01:11:02.564925280 +0200
|
||||
+++ netbox-3.3.9/upgrade.sh 2024-08-22 01:12:07.275402762 +0200
|
||||
@@ -10,74 +10,6 @@
|
||||
VIRTUALENV="$(pwd -P)/venv"
|
||||
PYTHON="${PYTHON:-python3}"
|
||||
|
||||
-# Validate the minimum required Python version
|
||||
-COMMAND="${PYTHON} -c 'import sys; exit(1 if sys.version_info < (3, 8) else 0)'"
|
||||
-PYTHON_VERSION=$(eval "${PYTHON} -V")
|
||||
-eval $COMMAND || {
|
||||
- echo "--------------------------------------------------------------------"
|
||||
- echo "ERROR: Unsupported Python version: ${PYTHON_VERSION}. NetBox requires"
|
||||
- echo "Python 3.8 or later. To specify an alternate Python executable, set"
|
||||
- echo "the PYTHON environment variable. For example:"
|
||||
- echo ""
|
||||
- echo " sudo PYTHON=/usr/bin/python3.8 ./upgrade.sh"
|
||||
- echo ""
|
||||
- echo "To show your current Python version: ${PYTHON} -V"
|
||||
- echo "--------------------------------------------------------------------"
|
||||
- exit 1
|
||||
-}
|
||||
-echo "Using ${PYTHON_VERSION}"
|
||||
-
|
||||
-# Remove the existing virtual environment (if any)
|
||||
-if [ -d "$VIRTUALENV" ]; then
|
||||
- COMMAND="rm -rf ${VIRTUALENV}"
|
||||
- echo "Removing old virtual environment..."
|
||||
- eval $COMMAND
|
||||
-else
|
||||
- WARN_MISSING_VENV=1
|
||||
-fi
|
||||
-
|
||||
-# Create a new virtual environment
|
||||
-COMMAND="${PYTHON} -m venv ${VIRTUALENV}"
|
||||
-echo "Creating a new virtual environment at ${VIRTUALENV}..."
|
||||
-eval $COMMAND || {
|
||||
- echo "--------------------------------------------------------------------"
|
||||
- echo "ERROR: Failed to create the virtual environment. Check that you have"
|
||||
- echo "the required system packages installed and the following path is"
|
||||
- echo "writable: ${VIRTUALENV}"
|
||||
- echo "--------------------------------------------------------------------"
|
||||
- exit 1
|
||||
-}
|
||||
-
|
||||
-# Activate the virtual environment
|
||||
-source "${VIRTUALENV}/bin/activate"
|
||||
-
|
||||
-# Upgrade pip
|
||||
-COMMAND="pip install --upgrade pip"
|
||||
-echo "Updating pip ($COMMAND)..."
|
||||
-eval $COMMAND || exit 1
|
||||
-pip -V
|
||||
-
|
||||
-# Install necessary system packages
|
||||
-COMMAND="pip install wheel"
|
||||
-echo "Installing Python system packages ($COMMAND)..."
|
||||
-eval $COMMAND || exit 1
|
||||
-
|
||||
-# Install required Python packages
|
||||
-COMMAND="pip install -r requirements.txt"
|
||||
-echo "Installing core dependencies ($COMMAND)..."
|
||||
-eval $COMMAND || exit 1
|
||||
-
|
||||
-# Install optional packages (if any)
|
||||
-if [ -s "local_requirements.txt" ]; then
|
||||
- COMMAND="pip install -r local_requirements.txt"
|
||||
- echo "Installing local dependencies ($COMMAND)..."
|
||||
- eval $COMMAND || exit 1
|
||||
-elif [ -f "local_requirements.txt" ]; then
|
||||
- echo "Skipping local dependencies (local_requirements.txt is empty)"
|
||||
-else
|
||||
- echo "Skipping local dependencies (local_requirements.txt not found)"
|
||||
-fi
|
||||
-
|
||||
# Apply any database migrations
|
||||
COMMAND="python3 netbox/manage.py migrate"
|
||||
echo "Applying database migrations ($COMMAND)..."
|
||||
@@ -91,7 +23,7 @@
|
||||
# Build the local documentation
|
||||
COMMAND="mkdocs build"
|
||||
echo "Building documentation ($COMMAND)..."
|
||||
-eval $COMMAND || exit 1
|
||||
+eval $COMMAND || echo "Making doc failed but who cares"
|
||||
|
||||
# Collect static files
|
||||
COMMAND="python3 netbox/manage.py collectstatic --no-input"
|
153
www-apps/netbox/netbox-3.3.9.ebuild
Normal file
153
www-apps/netbox/netbox-3.3.9.ebuild
Normal file
|
@ -0,0 +1,153 @@
|
|||
# Copyright 1999-2022 Gentoo Authors
|
||||
# Distributed under the terms of the GNU General Public License v2
|
||||
|
||||
EAPI=8
|
||||
PYTHON_COMPAT=( python3_{11..12} )
|
||||
inherit python-single-r1 readme.gentoo-r1
|
||||
|
||||
DESCRIPTION="IP address and data center infrastructure management tool"
|
||||
HOMEPAGE="https://github.com/netbox-community/netbox"
|
||||
SRC_URI="https://github.com/netbox-community/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
|
||||
|
||||
LICENSE="Apache-2.0"
|
||||
SLOT="0"
|
||||
KEYWORDS="~amd64"
|
||||
IUSE="ldap"
|
||||
REQUIRED_USE=${PYTHON_REQUIRED_USE}
|
||||
|
||||
RDEPEND="
|
||||
acct-group/netbox
|
||||
acct-user/netbox
|
||||
${PYTHON_DEPS}
|
||||
$(python_gen_cond_dep '
|
||||
>=dev-python/bleach-5.0.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-4.0.8[${PYTHON_USEDEP}]
|
||||
<dev-python/django-4.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-cors-headers-3.13.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-debug-toolbar-3.7.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-filter-22.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-graphiql-debug-toolbar-0.2.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-mptt-0.14[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-pglocks-1.0.4[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-prometheus-2.2.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-redis-5.2.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-rq-2.6.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-tables2-2.4.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-taggit-3.1.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/django-timezone-field-5.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/djangorestframework-3.14.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/drf-yasg-1.21.4[${PYTHON_USEDEP},validation]
|
||||
>=dev-python/graphene-django-2.15.0[${PYTHON_USEDEP}]
|
||||
>=www-servers/gunicorn-20.1.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/jinja-3.1.2[${PYTHON_USEDEP}]
|
||||
>=dev-python/markdown-3.3.7[${PYTHON_USEDEP}]
|
||||
>=dev-python/mkdocs-material-8.5.11[${PYTHON_USEDEP}]
|
||||
dev-python/mkdocstrings-python[${PYTHON_USEDEP}]
|
||||
>=dev-python/netaddr-0.8.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/pillow-9.3.0[${PYTHON_USEDEP}]
|
||||
dev-python/psycopg:2[${PYTHON_USEDEP}]
|
||||
>=dev-python/pyyaml-6.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/sentry-sdk-1.11.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/social-auth-app-django-5.0.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/social-auth-core-4.3.0[${PYTHON_USEDEP}]
|
||||
>=dev-python/svgwrite-1.4.3[${PYTHON_USEDEP}]
|
||||
>=dev-python/tablib-3.2.1[${PYTHON_USEDEP}]
|
||||
>=dev-python/tzdata-2022.7[${PYTHON_USEDEP}]
|
||||
>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
|
||||
ldap? ( >=dev-python/django-auth-ldap-4.1.0[${PYTHON_USEDEP}] )
|
||||
')"
|
||||
DEPEND="${RDEPEND}"
|
||||
|
||||
PATCHES=(
|
||||
"${FILESDIR}"/${P}-no-pip.patch
|
||||
)
|
||||
|
||||
DISABLE_AUTOFORMATTING=YES
|
||||
DOC_CONTENTS="
|
||||
netbox is installed on your system. However, there are some manual steps
|
||||
you need to complete from the installation guide [1].
|
||||
|
||||
On Gentoo, the configuration files you need to edit are located in
|
||||
/etc/netbox, not /opt/netbox as shown in the installation guide.
|
||||
|
||||
If this is a new installation, please follow the installation guide
|
||||
other than this difference. Also, if you need ldap, set the appropriate
|
||||
use flag when emerging netbox to install the dependency for it.
|
||||
|
||||
Once that is done, you should be able to add the netbox service to the
|
||||
default runlevel and start it.
|
||||
|
||||
If you want to use webhooks, you should also add the netbox-rqworker
|
||||
service to the default runlevel and start it.
|
||||
|
||||
If this is an upgrade, follow these instructions:
|
||||
|
||||
Stop the netbox service. If the netbox-rqworker service is running,
|
||||
stop it as well.
|
||||
|
||||
Next, run the upgrade script as described in the upgrading guide[2].
|
||||
|
||||
Next, check for new configuration options and set them as appropriate
|
||||
for your system.
|
||||
|
||||
Next, start the netbox service.
|
||||
|
||||
Finally, if you are using webhooks, start the netbox-rqworker service.
|
||||
|
||||
[1] https://netbox.readthedocs.io/en/stable/installation/
|
||||
[2] https://netbox.readthedocs.io/en/stable/installation/upgrading/
|
||||
"
|
||||
|
||||
src_install() {
|
||||
dodir /opt
|
||||
cp -a ../${P} "${ED}"/opt
|
||||
dosym ${P} /opt/netbox
|
||||
dosym /etc/netbox/gunicorn_config.py /opt/netbox/gunicorn_config.py
|
||||
dosym /etc/netbox/configuration.py \
|
||||
/opt/netbox/netbox/netbox/configuration.py
|
||||
dodir /etc/netbox
|
||||
insinto /etc/netbox
|
||||
newins netbox/netbox/configuration_example.py configuration.py
|
||||
doins "${FILESDIR}"/gunicorn_config.py
|
||||
fowners -R netbox:netbox /etc/netbox /opt/${P}
|
||||
fowners -h netbox:netbox /opt/netbox
|
||||
fperms o= /etc/netbox/configuration.py /etc/netbox/gunicorn_config.py
|
||||
newinitd "${FILESDIR}"/${PN}.initd ${PN}
|
||||
newinitd "${FILESDIR}"/${PN}-rqworker.initd ${PN}-rqworker
|
||||
keepdir /var/log/netbox
|
||||
fowners -R netbox:netbox /var/log/netbox
|
||||
readme.gentoo_create_doc
|
||||
}
|
||||
|
||||
pkg_postinst() {
|
||||
readme.gentoo_print_elog
|
||||
for LAST_PREVIOUS_VERSION in $REPLACING_VERSIONS; do
|
||||
if [[ "$LAST_PREVIOUS_VERSION" = "2.5.10" ]]; then
|
||||
ewarn "The home directory of the netbox user is now /var/lib/netbox"
|
||||
ewarn "Please adjust your system."
|
||||
fi
|
||||
done
|
||||
|
||||
if [ -z "${LAST_PREVIOUS_VERSION}" ]; then
|
||||
exit
|
||||
fi
|
||||
|
||||
LAST_BASE_DIRECTORY="/opt/netbox-${LAST_PREVIOUS_VERSION}"
|
||||
NBCP="su -l ${PN} -s /bin/sh -c cp"
|
||||
if [ -f "${LAST_BASE_DIRECTORY}/local_requirements.txt}" ]; then
|
||||
${NBCP} "${LAST_BASE_DIRECTORY}/local_requirements.txt}" /opt/netbox
|
||||
fi
|
||||
if [ -f "${LAST_BASE_DIRECTORY}/netbox/netbox/ldap_config.py" ]; then
|
||||
${NBCP} "${LAST_BASE_DIRECTORY}/netbox/netbox/ldap_config.py" /opt/netbox/netbox/netbox/
|
||||
fi
|
||||
if [ -d "${LAST_BASE_DIRECTORY}/netbox/media" ]; then
|
||||
${NBCP} -pr "${LAST_BASE_DIRECTORY}/netbox/media" /opt/netbox/netbox/
|
||||
fi
|
||||
if [ -d "${LAST_BASE_DIRECTORY}/netbox/scripts" ]; then
|
||||
${NBCP} -pr "${LAST_BASE_DIRECTORY}/netbox/scripts" /opt/netbox/netbox/
|
||||
fi
|
||||
if [ -d "${LAST_BASE_DIRECTORY}/netbox/reports" ]; then
|
||||
${NBCP} -pr "${LAST_BASE_DIRECTORY}/netbox/reports" /opt/netbox/netbox/
|
||||
fi
|
||||
su -p -s /bin/sh -c "/opt/${P}/upgrade.sh" "${PN}"
|
||||
}
|
Loading…
Reference in a new issue